Bug 468528 - Plymouth doesn't get activated for systems with encrypted hard disks
Plymouth doesn't get activated for systems with encrypted hard disks
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-25 12:33 EDT by Stefan Becker
Modified: 2008-10-28 02:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 02:03:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2008-10-25 12:33:29 EDT
Description of problem:
If your system has encrypted hard disk then plymouth doesn't get activated after entering the password. You just see the plain old boot up with initscript messages. Only if you press ESC after entering the password then plymouth switches
to the plugin.

Version-Release number of selected component (if applicable):

kernel-2.6.27.3-44.fc10.i686
plymouth-0.6.0-0.2008.10.24.1.fc10.i386
xorg-x11-drv-ati-6.9.0-31.fc10.i386
mkinitrd-6.0.67-1.fc10.i386

How reproducible: Always
Comment 1 Ray Strode [halfline] 2008-10-27 11:11:03 EDT
what's the output of

cat /proc/cmdline

?
Comment 2 Stefan Becker 2008-10-28 01:24:50 EDT
# cat /proc/cmdline
ro root=UUID=711dc45e-9530-4d46-918d-e7b9293d6896 quiet panic=10

rhgb shouldn't be required anymore as it no longer exists?
Comment 3 Stefan Becker 2008-10-28 02:03:32 EDT
I'm obviously mistaken. With "rhgb" it works fine.

Would be nice if the "enter password" screen would contain some explanatory text though...

Note You need to log in before you can comment on or make changes to this bug.